Package ru.bitel.bgbilling.modules.mobile.common.bean

# Class MobileContractData

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.mobile.common.bean.MobileContractData

All Implemented Interfaces:
  `Serializable`, `Idable`

public class MobileContractData extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MobileContractData()`
  `MobileContractData(int id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  `int`
  `getCountNotification()`
  `Date`
  `getLastConfirmDate()`
  `Date`
  `getLastSendDate()`
  `PushStatusType`
  `getStatus()`
  После того как пользователь залогинился через моб. приложение он получает токен для отправки пуш уведомления( при условии, что он дал такую возможность приложению) и отправляет его на push сервер, а после шлет на сервер биллинга провайдера подтверждение возможности отправки уведомлений и после этого данному договору можно их отправлять.
  `MobileContractData`
  `setContractId(int contractId)`
  `MobileContractData`
  `setCountNotification(int countNotification)`
  `MobileContractData`
  `setLastConfirmDate(Date lastConfirm)`
  `MobileContractData`
  `setLastSendDate(Date lastSendDate)`
  `MobileContractData`
  `setStatus(PushStatusType status)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MobileContractData

    public MobileContractData()

  - ### MobileContractData

    public MobileContractData(int id)

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public MobileContractData setContractId(int contractId)

  - ### getStatus

    public PushStatusType getStatus()
    После того как пользователь залогинился через моб. приложение он получает токен для отправки пуш уведомления( при условии, что он дал такую возможность приложению) и отправляет его на push сервер, а после шлет на сервер биллинга провайдера подтверждение возможности отправки уведомлений и после этого данному договору можно их отправлять.
    Но если была не удачная попытка уведомления(на все устройства), то после этого статус изменится на невозможный, до следующего подтверждения абонентом (то есть входом в приложение)

  - ### setStatus

    public MobileContractData setStatus(PushStatusType status)

  - ### getLastConfirmDate

    public Date getLastConfirmDate()

  - ### setLastConfirmDate

    public MobileContractData setLastConfirmDate(Date lastConfirm)

  - ### getCountNotification

    public int getCountNotification()

  - ### setCountNotification

    public MobileContractData setCountNotification(int countNotification)

  - ### getLastSendDate

    public Date getLastSendDate()

  - ### setLastSendDate

    public MobileContractData setLastSendDate(Date lastSendDate)